scala.tools.nsc.ast.parser

# SymbolicXMLBuilder

#### abstract class SymbolicXMLBuilder extends AnyRef

This class builds instance of `Tree` that represent XML.

Note from martin: This needs to have its position info reworked. I don't understand exactly what's done here. To make validation pass, I set many positions to be transparent. Not sure this is a good idea for navigating XML trees in the IDE but it's the best I can do right now. If someone who understands this part better wants to give it a shot, please do!

Source
  SymbolicXMLBuilder.scala
Version

  1.0

Linear Supertypes
AnyRef, Any
Known Subclasses
symbXMLBuilder
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. SymbolicXMLBuilder
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new SymbolicXMLBuilder(p: Parser, preserveWS: Boolean)

### Abstract Value Members

1. #### abstract val global: Global

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from SymbolicXMLBuilder to any2stringadd[SymbolicXMLBuilder] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (SymbolicXMLBuilder, B)

   Implicit information
     This member is added by an implicit conversion from SymbolicXMLBuilder to ArrowAssoc[SymbolicXMLBuilder] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### def Comment(txt: Global.Tree): Global.Tree

   Attributes
     protected

7. #### def ProcInstr(target: Global.Tree, txt: Global.Tree): Global.Tree

   Attributes
     protected

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### def charData(pos: Global.Position, txt: String): Global.Tree

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### def comment(pos: Global.Position, text: String): Global.Tree

12. #### def convertToTextPat(buf: Seq[Global.Tree]): List[Global.Tree]

    Attributes
      protected

13. #### def convertToTextPat(t: Global.Tree): Global.Tree

    Attributes
      protected

14. #### def element(pos: Global.Position, qname: String, attrMap: Map[String, Global.Tree], empty: Boolean, args: Seq[Global.Tree]): Global.Tree

15. #### def ensuring(cond: (SymbolicXMLBuilder) ⇒ Boolean, msg: ⇒ Any): SymbolicXMLBuilder

    Implicit information
      This member is added by an implicit conversion from SymbolicXMLBuilder to Ensuring[SymbolicXMLBuilder] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### def ensuring(cond: (SymbolicXMLBuilder) ⇒ Boolean): SymbolicXMLBuilder

    Implicit information
      This member is added by an implicit conversion from SymbolicXMLBuilder to Ensuring[SymbolicXMLBuilder] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### def ensuring(cond: Boolean, msg: ⇒ Any): SymbolicXMLBuilder

    Implicit information
      This member is added by an implicit conversion from SymbolicXMLBuilder to Ensuring[SymbolicXMLBuilder] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

18. #### def ensuring(cond: Boolean): SymbolicXMLBuilder

    Implicit information
      This member is added by an implicit conversion from SymbolicXMLBuilder to Ensuring[SymbolicXMLBuilder] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

19. #### final def entityRef(pos: Global.Position, n: String): Global.Tree

20. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

22. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

23. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from SymbolicXMLBuilder to StringFormat[SymbolicXMLBuilder] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

24. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

25. #### def group(pos: Global.Position, args: Seq[Global.Tree]): Global.Tree

    Various node constructions.

26. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

27. #### def isEmptyText(t: Global.Tree): Boolean

28. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

29. #### def makeText1(txt: Global.Tree): Global.Tree

30. #### def makeTextPat(txt: Global.Tree): Global.Apply

31. #### def makeXMLpat(pos: Global.Position, n: String, args: Seq[Global.Tree]): Global.Tree

32. #### def makeXMLseq(pos: Global.Position, args: Seq[Global.Tree]): Global.Block

    could optimize if args.length == 0, args.length == 1 AND args(0) is <: Node.

33. #### def mkXML(pos: Global.Position, isPattern: Boolean, pre: Global.Tree, label: Global.Tree, attrs: Global.Tree, scope: Global.Tree, empty: Boolean, children: Seq[Global.Tree]): Global.Tree

    Wildly wrong documentation deleted in favor of "self-documenting code."

    Wildly wrong documentation deleted in favor of "self-documenting code."

    Attributes
      protected

34. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

35. #### final def notify(): Unit

    Definition Classes
      AnyRef

36. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

37. #### def parseAttribute(pos: Global.Position, s: String): Global.Tree

38. #### def procInstr(pos: Global.Position, target: String, txt: String): Global.Tree

39. #### def splitPrefix(name: String): (Option[String], String)

    Returns (Some(prefix) | None, rest) based on position of ':'

40. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

41. #### final def text(pos: Global.Position, txt: String): Global.Tree

42. #### def toString(): String

    Definition Classes
      AnyRef → Any

43. #### def unparsed(pos: Global.Position, str: String): Global.Tree

44. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

45. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

46. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

47. #### def →[B](y: B): (SymbolicXMLBuilder, B)

    Implicit information
      This member is added by an implicit conversion from SymbolicXMLBuilder to ArrowAssoc[SymbolicXMLBuilder] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from SymbolicXMLBuilder to any2stringadd[SymbolicXMLBuilder]

### Inherited by implicit conversion StringFormat from SymbolicXMLBuilder to StringFormat[SymbolicXMLBuilder]

### Inherited by implicit conversion Ensuring from SymbolicXMLBuilder to Ensuring[SymbolicXMLBuilder]

### Inherited by implicit conversion ArrowAssoc from SymbolicXMLBuilder to ArrowAssoc[SymbolicXMLBuilder]

### Ungrouped